import request from '@/utils/request'

// 查询巡检任务列表
export function listInspectTask(query) {
  return request({
    url: '/park/inspectTask/list',
    method: 'get',
    params: query
  })
}

// 查询巡检任务详细
export function getInspectTask(id) {
  return request({
    url: '/park/inspectTask/' + id,
    method: 'get'
  })
}

// 新增巡检任务
export function addInspectTask(data) {
  return request({
    url: '/park/inspectTask',
    method: 'post',
    data: data
  })
}

// 修改巡检任务
export function updateInspectTask(data) {
  return request({
    url: '/park/inspectTask',
    method: 'put',
    data: data
  })
}

// 删除巡检任务
export function delInspectTask(id) {
  return request({
    url: '/park/inspectTask/' + id,
    method: 'delete'
  })
}
